import React from 'react';
import { Column } from '@tanstack/react-table';
interface ColumnFilterProps<TData, TValue> {
    column?: Column<TData, TValue>;
    title?: string;
    options: {
        label: string;
        value: string;
        icon?: React.ReactNode;
    }[];
}
declare const ColumnFilter: <TData, TValue>({ column, options }: ColumnFilterProps<TData, TValue>) => React.JSX.Element;
export default ColumnFilter;
