import { Table, Cell, Row, Column, RowData } from '@tanstack/react-table';
import React from 'react';
export interface MainTableBodyProps {
    table: Table<any>;
    hasDraggableRows?: boolean;
}
export type ContainerCellProps<TData extends RowData = any> = React.PropsWithChildren<{
    cell: Cell<TData, unknown>;
    row: Row<TData>;
    column: Column<TData, unknown>;
}>;
declare const MainTableBody: React.FC<MainTableBodyProps>;
export default MainTableBody;
